Abhishek -NL- Gupta -NL- Email:**`abhishekgupta9219@gmail.com`[EMAILS_EMAIL]** Mobile: -NL- +919970721911Date Of Birth: 03rdDec1992 -NL- Marital -NL- Status: SinglePAN Card No:BOHPG5822C -NL- **`Objective`[SUMMARY_HEADING]** -NL- Seeking a position to utilize my skills and abilities in the Information Technology -NL- Industry that offers professional growth while being resourceful, innovative and -NL- flexible, keeping my goals in tandem with those of organization. -NL- ProfessionalSummary -NL-  4.5 Years of experience in JAVA/J2EEdevelopment. -NL-  The key areas workedJAVA/J2EE, Core Java, Spring, Hibernate, REST -NL- Web Service, Spring Boot, Morphia, ApacheCXF,Maven, Oracle, -NL- Mongo DB, RestEasy,Javers, MapStruct. -NL-  A quick and eager learner who stays on topoffast moving internettechnologies. -NL-  Able to work efficiently in team as well asindividually. -NL-  Requirement gathering, analysis ofthesystems, preparing technical specs and -NL- suggesting the best approach towards clients’goal. -NL-  Technically optimize the application for performance, stability,consumption. -NL-  Performed ReleasePreparation. -NL-  Good Team Player. -NL- TechnicalKnowledge -NL- Domain:Rest Full web services, web application. -NL- Design Patterns:MVC (Model-View-Controller), J2EE Design Patterns. -NL- Technologies: Java 1.7, JAVA/J2EE, REST Web Service, Spring, Hibernate, -NL- Apache CXF, Maven, Oracle,Mongo DB, Morphia, Mockito. -NL- Web Technologies:HTML5, CSS, JavaScript, XML. -NL- Databases:Oracle 11g, -NL- Mongo DB.Servers:Apache -NL- Tomcat Server, JBoss.SCM -NL- Tool: Tortoise SVN, Git -NL- Build & CI Tools:Jenkins -NL- Testing & Bug Tracking: JUnit, Mockito -NL- Software Tools: Eclipse IDE, Intellij, SQL Developer, WinSCP, Putty, -NL- SOAPUI, Mongo Compass. Operating Systems:Windows -NL- **`Education`[EDUCATION_HEADING]** -NL- **`B-Tech`[EDUCATION_DEGREE]** (**`CSE`[EDUCATION_COURSE]**) -NL- 2010-14(74% **`Uttar Pradesh Technical University`[EDUCATION_INSTITUTE]**) (08/2010 – -NL- 06/2014) -NL- **`XII`[EDUCATION_DEGREE]** -NL- 2009-10(78% CBSE)(04/2009 – 04/2010) -NL- **`X`[EDUCATION_DEGREE]** 2007-08(71% ICSE) (04/2007 – 04/2008) -NL- **`WorkExperience`[WORK_EXPERIENCE_HEADING]** -NL- September 2017 -Current **`Associate Consultant`[EMPLOYER_ROLE]**, **`Capgemini`[EMPLOYER_COMPANY_NAME]** -NL- Develop web Services for fetching data from mongo DB and oracle. -NL- Client -NL- Barclays -NL- Domain -NL- RESTFULL web services -NL- Technology -NL- Java 1.7, JAVA/J2EE, REST Web Service, Maven, Rest Easy, Morphia, Mongo DB, Mockito -NL- A Project Synopsis It is a API system which provides APIs for managing transactions data through REST APIs -NL- for bank card system. -NL- These APIs are called from UI layer and other middleware APIs to serve large bank cards Transactions data. -NL- ResponsibilityDevelop and test REST APIs for managing cards system transactions. -NL- Handling Bugs in existing modules and solve them in definite manner Assisting in Unit, End to End and Functional testing. -NL- Technically optimize the application for performance, stability, consumption -NL- Performed Environment Setup (Software Installation and Configuration), Development (Enhancements, Code Refactoring), Testing and deployment. -NL- April 2015 – September 2017 **`Senior System Engineer`[EMPLOYER_ROLE]**, **`Infosys Ltd`[EMPLOYER_COMPANY_NAME]**. -NL- • Develop interactive front end /web Services orientedportals. -NL- • Analysis of Business Requirements and Technical -NL- Requirements, Created the Rest full web service (GET, -NL- POST, PUT, DELETE)fordevice. -NL- Client -NL- Department of Post Mobile DeviceManagement -NL- Duration -NL- • April 2015 – September2017 -NL- Domain -NL- • RESTFULL web services, Web UIdevelopment -NL- Technology -NL- • Java 1.7, JAVA/J2EE, REST Web Service, Spring, -NL- Hibernate, Apache CXF, Maven, Oracle,HTML, CSS, -NL- JavaScript. -NL- ProjectSynopsis -NL- •The project intends to build Digitization in Rural parts of the -NL- county which is based on a handheld device running with a -NL- customized Operating systemPlatform for supporting -NL- applications to support governments various schemes. -NL- • TheDeviceismanagedbyWebPortalwhichtohandleallactivities -NL- example app installation, Monitoring real time data etc. The -NL- web portal is developed in Java (Spring-Hibernate) with -NL- SQLbackend. -NL- • The communication between device and server take place -NL- by rest full web service. Firstly device get enrolled to server -NL- and after that app installation -NL- andallotherprocessareperformedonthedevicethroughwebappli -NL- cation. -NL- Responsibility -NL- • Developing rest full web services and webapplication. -NL- • Handling Bugs in existing modules and -NL- solve them in definite manner Assisting in -NL- Unit, End to End and Functionaltesting. -NL- • Technically optimize the application for performance, -NL- stability, consumption Performed Environment Setup -NL- (Software Installation and Configuration), Development -NL- (Enhancements, Code Refactoring), Testing and -NL- deployment in all the environments. ReleasePreparation. -NL- December 2014 – April 2015**`System Engineer Trainee`[EMPLOYER_ROLE]**, **`Infosys Ltd`[EMPLOYER_COMPANY_NAME]** -NL- Secured 85% in Mysore Infosys Training -NL- **`PersonalInformation`[PERSONAL_DETAILS_HEADING]** -NL- Name -NL- **`Abhishek Gupta`[NAME]** -NL- Father’s Name -NL- Mr. Arjun Gupta -NL- Mother’s Name -NL- Mrs. Vinita Gupta -NL- **`Hobbies`[OTHERS_HEADING]** -NL- Chess -NL- Date of Birth -NL- 03-dec-1992 -NL- Emergency Contact No -NL- **`9810321622`[PHONES_PHONE]** -NL- **`Declaration`[OTHERS_HEADING]** -NL- I hereby declare that the above written particulars are true to the best of my knowledge -NL- and belief. -NL- ABHISHEK GUPTA -NL- 